@tailwind base;
@tailwind components;
@tailwind utilities;


/* ========================================================================= */

@layer base
{
    h1 { @apply text-4xl font-extrabold; }
    h2 { @apply text-3xl font-extrabold; }
    h3 { @apply text-2xl font-extrabold; }
    h4 { @apply text-xl font-extrabold; }
    h5 { @apply text-lg font-extrabold; }
    h6 { @apply text-base font-extrabold; }
}

/* ========================================================================= */

@layer components
{
    /* ===================================================================== */

    .app
    {
        @apply w-screen min-h-screen bg-gray-100 text-gray-900
               dark:bg-cyan-950 dark:text-white;
    }

    .page
    {
        @apply flex flex-col w-screen h-full px-16 py-4;
        /* @apply w-full h-full */
    }

    .component { @apply p-1 mb-2; }

    /* ===================================================================== */

    .nav-bar
    {
        @apply w-screen px-16 py-3
               flex justify-between items-center
               bg-primary text-secondary font-extrabold;
    }
    .nav-component { @apply min-w-max; }
    .nav-mobile { @apply flex lg:hidden ; }
    .nav-full { @apply hidden lg:flex; }

    /* Mobile */
    .mobile-menu { @apply bg-subprimary p-2 mx-2; }
    .hamburger-icon { @apply block h-6 w-6 cursor-pointer lg:hidden }

    /* Full */
    .site-sections { @apply w-full flex justify-center gap-4 px-8; }
    /* .about-section { @apply w-full flex justify-center gap-4 px-8; } */
    .auth-section { @apply w-full flex justify-center gap-4 px-8; }


    /* ===================================================================== */

    .header { @apply text-center; }
    .page-header { @apply text-center; }

    .label { @apply pr-1; }

    .button
    {
        @apply p-1 mx-2 text-center align-middle bg-gray-700 hover:rounded-lg;
    }

    .tooltip
    {
        @apply absolute w-auto p-2 m-2 min-w-max
               rounded-md shadow-md
               text-white bg-gray-900
               text-xs font-bold
               transition-all duration-100 scale-0 origin-top
               group-hover:scale-100;
    }


    /* ===================================================================== */

    .info-row
    {
        @apply bg-primary text-secondary w-full flex items-center py-1 m-2;
    }
    .info-entry { @apply px-2; }


    .readme { @apply leading-8; }
}

